Direct Debit

Obtaining Available Schedules

List the services and payment schedules configured for your client. A schedule must be assigned to a contract before payments can be created.

GET/client/{clientCode}/schedulesQueries the database for details of existing schedules#
description:

The response is split into two parts as follows:

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
}

Responses

200OK
response body:
{
}
Example request
Endpoint
GET /client/{clientCode}/schedules
cURL
curl -L -g -X GET 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/schedules' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Services": [
    {
      "RefPrefix": "AN",
      "RefProtocol": "Auto-number",
      "RefTo": "null,",
      "Schedules": [
        {
          "AllowDifferentFirstPayment": true,
          "AllowDifferentLastPayment": false,
          "AllowFreeMonthDaySelection": false,
          "AllowFreeMonthSelection": true,
          "AllowFreeWeekDaySelection": true,
          "AtTheEnd": "Switch to further notice",
          "DayOfWeek": "Free",
          "DaysOfMonth": "15,24",
          "Description": "Annually > Every 1 year > 15th, 24th of any month\ncustomer's choice) > First , then on a regular basis\n",
          "Every": 1,
          "ExtraInitialPayments": "",
          "Frequency": "Annually",
          "IsExpiryDateReached": false,
          "IsNotScheduled": false,
          "IsSuspended": false,
          "MonthOfYear": "Free",
          "Name": "AN Dates 15/24 - Rolling",
          "RegistrationCharge": 0,
          "ScheduleId": "7663e3a0-514c-4ec7-808e-05d27a85fa98",
          "StartType": "As soon as possible",
          "TerminationType": "Until further notice"
        }
      ],
      "Title": "Annual Membership"
    }
  ]
}

What the response contains

The response is split into two parts.

  1. Services give some general set-up detail for the underlying payment schedules: Title, RefProtocol, RefPrefix, RefFrom and RefTo.
  2. Schedules sit underneath services and are allocated to the customer in order to collect payments.